<template>
    <div class="addLot__selects">
        <div class="addLot__select" :style=zIndex>
            <a @click.prevent="open=!open" class="addLot__select-title" :class="{active:open}" href="#">
                <p class="addLot__select-titleText">{{ modelValue?.name ? modelValue.name :  placeholder }}</p>
                <svg width="12" height="7" viewbox="0 0 12 7" fill="none" xmlns="http://www.w3.org/2000/svg">
                    <path d="M5.46967 6.53033C5.76256 6.82322 6.23744 6.82322 6.53033 6.53033L11.3033 1.75736C11.5962 1.46447 11.5962 0.989593 11.3033 0.696699C11.0104 0.403806 10.5355 0.403806 10.2426 0.696699L6 4.93934L1.75736 0.696699C1.46447 0.403806 0.989593 0.403806 0.696699 0.696699C0.403806 0.989592 0.403806 1.46447 0.696699 1.75736L5.46967 6.53033ZM5.25 5L5.25 6L6.75 6L6.75 5L5.25 5Z" fill="#FF5C00"></path>
                </svg>
            </a>
            <div :class="{active:open}" class="addLot__select-select">
                <a v-for="option in options"
                   @click.prevent="$emit('update:modelValue',option)"
                   class="addLot__select-item"
                   href="#">
                    {{ option.name }}
                </a>
            </div>
        </div>
        <a v-if="nothing" class="addLot__myItemNotInList js-open-modal" href="" data-modal="obrSvaz" @click.prevent="appStore.toggleActiveModals('spor', true)">Моего предмета нет в списке</a>
<!--        <a v-if="nothing" class="addLot__myItemNotInList js-open-modal" href="" data-modal="obrSvaz">Моего предмета нет в списке</a>-->
    </div>
</template>

<script setup>
import {ref, watch} from "vue";
import { UseAppStore } from "@/Stores/AppStore";

const appStore = UseAppStore();

const open = ref(false);
const props = defineProps({
    placeholder: {
        type: String,
        default: "Выберете из списка",
    },
    options: {
        type:[Object, Array],
        default:[],
    },
    modelValue: {
        type: [Array, Object],
        default: {},
    },
    nothing:{
        type:Boolean,
        default:false,
    },
    zIndex: 1,
});

const select = (val) => {
    props.modelValue.value = val
    open.value=!open.value
}

watch(
    () => props.modelValue,
    () => open.value = !open.value
)
</script>

<style scoped>

</style>
